﻿@model App.Models.UserChangePassword

@{Html.RenderAction("SidemenuProfil", "Menu");}

<link href="@Url.Content("~/Content/profil.css")" rel="stylesheet">

<div class="dashboard-wrapper">
    <div class="container-fluid dashboard-content">
        @if (TempData["message-success"] != null)
        {
            <div class="alert alert-success alert-dismissible" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
                @TempData["message-success"]
            </div>
        }
        <div class="card maxCenterProfil mx-auto">
            <div class="card-header">
                <h4 class="text-center">Formulář pro změnu hesla</h4>
            </div>
            @using (Ajax.BeginForm("ChangePassword", "Profil", null, new AjaxOptions() { HttpMethod = "Post", UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }, new { @class = "p-4" }))
            {
                @Html.Hidden("Login", (string)ViewBag.Login)
                @Html.AntiForgeryToken()

                <div class="form-group">
                    <label>Staré heslo</label>
                    @Html.PasswordFor(x => x.CurrPass, new { @class = "form-control", @placeholder = "Zde napiště své staré heslo...", @autofocus = "autofocus", @required = "required" })
                    @Html.ValidationMessageFor(x => x.CurrPass)
                </div>
                <div class="form-group">
                    <label>Nové heslo</label>
                    @Html.PasswordFor(x => x.NewPass, new { @class = "form-control", @placeholder = "Zde napiště nové heslo...", @required = "required" })
                    @Html.ValidationMessageFor(x => x.NewPass)
                </div>
                <div class="form-group">
                    <label>Nové heslo znovu</label>
                    @Html.PasswordFor(x => x.NewPassRepeat, new { @class = "form-control", @placeholder = "Zadaná nová hesla se musí shodovat...", @required = "required" })
                    @Html.ValidationMessageFor(x => x.NewPassRepeat)
                </div>
                <button class="btn-lg btn-primary text-center">Změnit heslo</button>
            }
        </div>
    </div>
</div>